org.keycloak.models.mongo.keycloak.entities

## Class MongoRoleEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.entities.RoleEntity
    - - org.keycloak.models.mongo.keycloak.entities.MongoRoleEntity

- All Implemented Interfaces:
    MongoEntity, MongoIdentifiableEntity

      @MongoCollection(collectionName="roles")
      @MongoIndex(fields="nameIndex",
                  unique=true)
      public class MongoRoleEntity
      extends RoleEntity
      implements MongoIdentifiableEntity

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MongoRoleEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterRemove(MongoStoreInvocationContext invContext)` Lifecycle callback, which is called after removal of this object from Mongo.
    `String` | `getNameIndex()`
    `void` | `setNameIndex(String ignored)`

    - ### Methods inherited from class org.keycloak.models.entities.RoleEntity

      `getApplicationId, getCompositeRoleIds, getDescription, getName, getRealmId, setApplicationId, setCompositeRoleIds, setDescription, setName, setRealmId`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.connections.mongo.api.MongoIdentifiableEntity

      `getId, setId`

- - ### Constructor Detail

    - #### MongoRoleEntity

          public MongoRoleEntity()

  - ### Method Detail

    - #### getNameIndex

          @MongoField
          public String getNameIndex()

    - #### setNameIndex

          public void setNameIndex(String ignored)

    - #### afterRemove

          public void afterRemove(MongoStoreInvocationContext invContext)

      Description copied from interface: `MongoIdentifiableEntity`
      Lifecycle callback, which is called after removal of this object from Mongo. It may be useful for triggering removal of wired objects.
      Specified by:
        `afterRemove` in interface `MongoIdentifiableEntity`

Copyright © 2015. All Rights Reserved.